summaryrefslogtreecommitdiff
path: root/linux/deb/fs-hello-kamal/package/usr
diff options
context:
space:
mode:
authorKamal Wickramanayake <kamal@inbox.lk>2026-05-23 14:45:05 +0530
committerKamal Wickramanayake <kamal@inbox.lk>2026-05-23 14:45:05 +0530
commitfe8b0606b434bb17f870cf9e6ba473c2ef39ca1f (patch)
treeda76e9376de7f0e1b74d47e0f439345be1025503 /linux/deb/fs-hello-kamal/package/usr
parentbef7e64a134b0c3bd7bf9c3175b8a3817c3b9eb7 (diff)
Added a simple deb file creation sample project to linux/deb directory
Diffstat (limited to 'linux/deb/fs-hello-kamal/package/usr')
-rwxr-xr-xlinux/deb/fs-hello-kamal/package/usr/bin/fs-hello-kamal16
1 files changed, 16 insertions, 0 deletions
diff --git a/linux/deb/fs-hello-kamal/package/usr/bin/fs-hello-kamal b/linux/deb/fs-hello-kamal/package/usr/bin/fs-hello-kamal
new file mode 100755
index 0000000..b8c827c
--- /dev/null
+++ b/linux/deb/fs-hello-kamal/package/usr/bin/fs-hello-kamal
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# Define a function that sends messages to stderr.
+errcho() {
+ echo "$@" 1>&2;
+}
+
+# Source the configuration file.
+. /etc/fs-hello-kamal.conf
+
+if [ "$1" = "" ]; then
+ errcho "Error! Provide some arguments to the command."
+ exit 1
+fi
+
+/usr/games/cowsay "$PREFIX_NAME's friend cow says $@"